#include <stdio.h>
#include <stdbool.h>
#include <math.h>

bool is_operation(char op) {
    return op == '+' || op == '-' || op == '*' || op == '/';
}

int main() {
    char line[100];


    while(true) {
        if(fgets(line, sizeof(line), stdin) == NULL || line[0] == '\n') {
            break;
        }
        double firstNumber = 0;
        double secondNumber = 0;
        double ans = 0;
        char op;
        if(sscanf(line, "%lf %c %lf = %lf", &firstNumber, &op, &secondNumber, &ans) != 4 || !is_operation(op)) {
            printf("CHYBA\n");
            continue;
        }

        double result = 0;

        if(op == '+') {
            result = firstNumber + secondNumber;
        } else if(op == '-') {
            result = firstNumber - secondNumber;
        } else if(op == '*') {
            result = firstNumber * secondNumber;
        } else {
            if(secondNumber != 0) {
                result = firstNumber / secondNumber;
            }
        }

	 result = roundf(result * 100) / 100;

        if (ans == result) {
            printf("OK\n");
        } else {
            printf("ZLE\n");
        }

    }

    return 0;
}

